package xhttp

import (
	"time"
)

// const
const (
	// ContentType header Content-Type
	ContentType = `Content-Type`
	// AcceptEncoding header Accept-Encoding
	AcceptEncoding = `Accept-Encoding`

	// ContentTypeURL application/x-www-form-urlencoded
	ContentTypeURL = `application/x-www-form-urlencoded; charset=utf-8`
	// ContentTypeJSON application/json
	ContentTypeJSON = `application/json; charset=utf-8`
	// ContentTypeXML application/xml
	ContentTypeXML = `application/xml; charset=utf-8`
	// ContentTypeMultipart multipart/form-data
	ContentTypeMultipart = `multipart/form-data`
)

var (
	readTimeout       = 30 * time.Second
	readHeaderTimeout = 30 * time.Second
	writeTimeout      = 30 * time.Second
	idleTimeout       = 30 * time.Second
	shutTimeout       = 30 * time.Second
)
